<div class="filters">
    <div class="body">
      <label class="icon d-block text-center mb-0" (click)="showFilter = !showFilter">
        <i [class.ft-chevron-up]="showFilter" [class.ft-chevron-down]="!showFilter"></i>
      </label>
      <form novalidate *ngIf="showFilter" [formGroup]="filterForm">
        <div class="col-md-12" *ngFor="let filter of filters">
          <ng-container *ngIf="filter.type === 'checkbox'">
            <ui-switch size="small" [formControlName]="filter.key"></ui-switch>
            <span class="pl-2 description font-small-2">{{ filter.name | translate }}</span>
          </ng-container>
          <ng-container *ngIf="filter.type === 'select'">
            <ng-select [items]="filter.options" bindLabel="name" bindValue="key"
              placeholder="Selecciona una opción" [clearable]="false" [multiple]="false"
              [formControlName]="filter.key" [notFoundText]="'forms.messages.noResults' | translate"></ng-select>
          </ng-container>
        </div>
      </form> 
    </div>
</div>
